org.springframework.messaging

## Interface SubscribableChannel

All Superinterfaces:
  MessageChannel

All Known Implementing Classes:
  AbstractSubscribableChannel, ExecutorSubscribableChannel

    public interface SubscribableChannel
    extends MessageChannel

A `MessageChannel` that maintains a registry of subscribers and invokes them to handle messages sent through this channel.

Since:
  4.0
Author:
  Mark Fisher

### Field Summary

### Fields inherited from interface org.springframework.messaging.MessageChannel

`INDEFINITE_TIMEOUT`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `subscribe(MessageHandler handler)` Register a message handler.
`boolean` `unsubscribe(MessageHandler handler)` Un-register a message handler.

### Methods inherited from interface org.springframework.messaging.MessageChannel

`send, send`

### Method Detail

#### subscribe

    boolean subscribe(MessageHandler handler)

Register a message handler.

Returns:
  `true` if the handler was subscribed or `false` if it was already subscribed.

#### unsubscribe

    boolean unsubscribe(MessageHandler handler)

Un-register a message handler.

Returns:
  `true` if the handler was un-registered, or `false` if was not registered.